## EXPORT_SPEC int UpnpDownloadUrlItem

## ( IN const char* url,
OUT char** outBuf,
OUT char* contentType )

> UpnpDownloadUrlItem downloads a file specified in a URL.

## Documentation

> UpnpDownloadUrlItem downloads a file specified in a URL. The SDK allocates the memory for outBuf and the application is responsible for freeing this memory. Note that the item is passed as a single buffer. Large items should not be transferred using this function.

Parameters:
  url - URL of an item to download.
  outBuf - Buffer to store the downloaded item.
  contentType - HTTP header value content type if present. It should be at least `LINE_SIZE` bytes in size.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: Either url, outBuf or contentType is not a valid pointer.
  - `UPNP_E_INVALID_URL`: The url is not a valid URL.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to download this file.
  - `UPNP_E_NETWORK_ERROR`: A network error occurred.
  - `UPNP_E_SOCKET_WRITE`: An error or timeout occurred writing to a socket.
  - `UPNP_E_SOCKET_READ`: An error or timeout occurred reading from a socket.
  - `UPNP_E_SOCKET_BIND`: An error occurred binding a socket.
  - `UPNP_E_SOCKET_CONNECT`: An error occurred connecting a socket.
  - `UPNP_E_OUTOF_SOCKET`: Too many sockets are currently allocated.

Alphabetic index

This page was generated with the help of DOC++.